XAttrSetFlag (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, enum: XAttrSetFlag

Package org.apache.hadoop.fs

# Enum Class XAttrSetFlag

java.lang.Object
java.lang.Enum<XAttrSetFlag>
org.apache.hadoop.fs.XAttrSetFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<XAttrSetFlag>`, `Constable`

@Public @Stable public enum XAttrSetFlag extends Enum<XAttrSetFlag>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  Create a new xattr.
  `REPLACE`
  Replace a existing xattr.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `validate(String xAttrName, boolean xAttrExists, EnumSet<XAttrSetFlag> flag)`
  `static XAttrSetFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XAttrSetFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final XAttrSetFlag CREATE
    Create a new xattr. If the xattr exists already, exception will be thrown.

  - ### REPLACE

    public static final XAttrSetFlag REPLACE
    Replace a existing xattr. If the xattr does not exist, exception will be thrown.

- ## Method Details

  - ### values

    public static XAttrSetFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XAttrSetFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### validate

    public static void validate(String xAttrName, boolean xAttrExists, EnumSet<XAttrSetFlag> flag) throws IOException
    Throws:
      `IOException`